| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiAlg::Print2DProf Class Reference

collection of useful utilities to print IProfile2D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...

`#include <GaudiAlg/Print.h>`

## Static Public Member Functions
static void | print (MsgStream &stream, const AIDA::IProfile2D *aida, const GaudiAlg::HistoID &ID)
static std::string | toString (const AIDA::IProfile2D *aida, const GaudiAlg::HistoID &ID)

## Detailed Description

collection of useful utilities to print IProfile2D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool)

See also
  AIDA::IProfile2D

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 128 of file Print.h.

## Member Function Documentation

void GaudiAlg::Print2DProf::print | ( | MsgStream & | stream,
|  | const AIDA::IProfile2D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 130 of file Print.cpp.

131 {
132 stream << toString( aida, ID ) << endmsg;
133 }
GaudiAlg::Print2DProf::toString
static std::string toString(const AIDA::IProfile2D *aida, const GaudiAlg::HistoID &ID)
Definition: Print.cpp:135
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

std::string GaudiAlg::Print2DProf::toString | ( | const AIDA::IProfile2D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 135 of file Print.cpp.

136 {
137 boost::format fmt( " ID=%|-25|%|30t| \"%|.55s|\" %|79t| Ents/All=%|5|/%|-5|<X>/sX=%|.5|/%|-.5|,<Y>/sY=%|.5|/%|-.5|" );
138 fmt % ID.idAsString() % aida->title();
139 fmt % ( aida->allEntries() - aida->extraEntries() ) % aida->allEntries();
140 fmt % aida->meanX() % aida->rmsX();
141 fmt % aida->meanY() % aida->rmsY();
142 //
143 return fmt.str();
144 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:120
GaudiAlg::ID::idAsString
GAUDI_API LiteralID idAsString() const
Return ID as string, for both numeric and literal IDs.
Definition: GaudiHistoID.cpp:20

The documentation for this class was generated from the following files:

- GaudiAlg/GaudiAlg/Print.h
- GaudiAlg/src/lib/Print.cpp